ios - MacOS Catalina로 업데이트 한 후 Xcode가 열리지 않음




(2)

나를 위해 일한 것은 App Store에서 Xcode를 업데이트하는 것이 었습니다. 그 후 추가 구성 요소를 성공적으로 설치할 수있었습니다.

MacOS Catalina로 업데이트했는데 이제 Xcode가 열리지 않습니다. 이 프롬프트가 나타납니다.

루트 액세스 권한을 얻은 후이 오류가 발생합니다.

큰 로그가 있지만 주요 오류는 다음과 같습니다.

2019-11-04 12 : 39 : 48 + 05 tk_lpt_0141_wifi Xcode [1214] : 패키지 : PKLeopardPackage 오류와 함께 확인하지 못했습니다 : 오류 Domain = PKInstallErrorDomain Code = 102 "“MobileDeviceDevelopment.pkg”패키지는 신뢰할 수 없습니다." UserInfo = {NSLocalizedDescription =“MobileDeviceDevelopment.pkg”패키지는 신뢰할 수 없습니다., NSURL = MobileDeviceDevelopment.pkg-file : ///Applications/Xcode.app/Contents/Resources/Packages/, PKInstallPackageIdentifier = com.apple.pkg.MobileDeviceDevelopment , NSUnderlyingError = 0x7fe07012cad0 {오류 도메인 = NSOSStatusErrorDomain 코드 = -2147409654 "CSSMERR_TP_CERT_EXPIRED"UserInfo = {SecTrustResult = 5, PKTrustLevel = PKTrustLevelExpiredCertificate, NSLocalizedFailureReason = CSSMERR_TP_CERT_EXPIRED}

13 : 01 : 20 + 05 tk_lpt_0141_wifi Xcode [1306] : 패키지 : PKLeopardPackage 오류와 함께 확인하지 못했습니다 : 오류 Domain = PKInstallErrorDomain Code = 102 "“MobileDeviceDevelopment.pkg”패키지는 신뢰할 수 없습니다." UserInfo = {NSLocalizedDescription =“MobileDeviceDevelopment.pkg”패키지는 신뢰할 수 없습니다., NSURL = MobileDeviceDevelopment.pkg-file : ///Applications/Xcode.app/Contents/Resources/Packages/, PKInstallPackageIdentifier = com.apple.pkg.MobileDeviceDevelopment , NSUnderlyingError = 0x7fd230cb1ae0 {오류 도메인 = NSOSStatusErrorDomain 코드 = -2147409654 "CSSMERR_TP_CERT_EXPIRED"UserInfo = {SecTrustResult = 5, PKTrustLevel = PKTrustLevelExpiredCertificate, NSLocalizedFailureReason = CSSMERR_TP_CERT_EXPI-11}

13 : 29 : 51 + 05 tk_lpt_0141_wifi Xcode [1377] : 패키지 : PKLeopardPackage 오류와 함께 확인하지 못했습니다 : 오류 Domain = PKInstallErrorDomain Code = 102 "“MobileDeviceDevelopment.pkg”패키지는 신뢰할 수 없습니다." UserInfo = {NSLocalizedDescription =“MobileDeviceDevelopment.pkg”패키지는 신뢰할 수 없습니다., NSURL = MobileDeviceDevelopment.pkg-file : ///Applications/Xcode.app/Contents/Resources/Packages/, PKInstallPackageIdentifier = com.apple.pkg.MobileDeviceDevelopment , NSUnderlyingError = 0x7f8ab8ba9380 {오류 도메인 = NSOSStatusErrorDomain 코드 = -2147409654 "CSSMERR_TP_CERT_EXPIRED"UserInfo = {SecTrustResult = 5, PKTrustLevel = PKTrustLevelExpiredCertificate, NSLocalizedFailureReason = CSSMERR_TP_CERTPIEX

나는 이미 시도했다 :

xcode-select --install

xcode-select --reset

다른 사람이이 문제에 부딪 쳤습니까? 고치는 방법?


MacOS Date를 다음으로 변경하십시오.

1st October 2019

인증서가 여전히 유효해야하는 1st October 2019 시스템 시간을 설정했습니다. 그 후 Xcode를 열려고 시도한 구성 요소 설치를 따르고 이제 Xcode로 다시 작업 할 수 있습니다.

1st October 2019 일로 Mac 날짜를 편집하고 설정하십시오.





xcode